Bug 77721 - [maintainer update] sysutils/munin-node 1.0.4 -> 1.2.0
Summary: [maintainer update] sysutils/munin-node 1.0.4 -> 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey Matveychuk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-19 08:20 UTC by Lupe Christoph
Modified: 2005-03-04 17:47 UTC (History)
0 users

See Also:


Attachments
munin-node-1.2.0.patch (11.37 KB, patch)
2005-02-19 08:20 UTC, Lupe Christoph
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lupe Christoph 2005-02-19 08:20:14 UTC
	Update to support Munin 1.2.0
	Changes that were in the 1.0.5 update that did not get applied:
		Upgrade FreeBSD4 support to rcNG.
		Use INSTALL_SCRIPT to install the start-stop script.   
		Remove patches to support 6-CURRENT, Munin has that now in the tarball.
		Correct rcNG version of pkg-message, adding PREFIX.
	New changes:
		Remove NOPRECIOUSMAKEVARS, Munin has been corrected
		Use SUB_FILES and SUB_LIST
		Add log rotation support. The unreliable signals in perl < 5.8.0
		necessitate an "revive" script
	Files changed:
		Makefile 
		distinfo
		pkg-deinstall
		pkg-install
		pkg-plist
Comment 1 Sergey Matveychuk freebsd_committer 2005-03-03 09:19:24 UTC
-# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.10 2004/11/16 
15:16:37 leeym Exp $
+# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.12 2004/12/14 
01:43:10 sem Exp $

The same.
-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2005-03-03 09:20:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

take it
Comment 3 Lupe Christoph 2005-03-03 09:35:07 UTC
On Thursday, 2005-03-03 at 12:19:24 +0300, Sergey Matveychuk wrote:
> -# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.10 2004/11/16 
> 15:16:37 leeym Exp $
> +# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.12 2004/12/14 
> 01:43:10 sem Exp $

> The same.

And the same reply, see ports/77720.

Lupe Christoph
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| Ask not what your computer can do for you                              |
| ask what you can do for your computer.                                 |
Comment 4 Lupe Christoph 2005-03-03 10:05:37 UTC
On Thursday, 2005-03-03 at 12:19:24 +0300, Sergey Matveychuk wrote:
> -# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.10 2004/11/16 
> 15:16:37 leeym Exp $
> +# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.12 2004/12/14 
> 01:43:10 sem Exp $

> The same.

This is the corrected patch for the munin-node/Makefile:

--- /usr/ports/sysutils/munin-node/Makefile	Sat Dec 25 12:11:06 2004
+++ munin-node-1.2.0/Makefile	Thu Feb 17 17:41:25 2005
@@ -6,12 +6,12 @@
 #
 
 PORTNAME=	munin
-PORTVERSION=	1.0.4
+PORTVERSION=	1.2.0
 CATEGORIES=	sysutils perl5
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	munin
 PKGNAMESUFFIX=	-node
-DISTNAME=	${PORTNAME}_${PORTVERSION:S/.p/pre/}
+DISTNAME=	${PORTNAME}_${PORTVERSION:S/.r/rc/}
 
 MAINTAINER=	lupe@lupe-christoph.de
 COMMENT=	Node-specific part of Munin
@@ -27,36 +27,31 @@
 
 USE_GMAKE=	yes
 PATCH_STRIP=	-p1
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.p/pre/}
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.r/rc/}
 PKGMESSAGE=	${WRKDIR}/pkg-message
-ALL_TARGET=	DATADIR=${DATADIR} build build-man
-INSTALL_TARGET=	DATADIR=${DATADIR} install-node install-node-plugins
+ALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} build build-man
+INSTALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} install-node install-node-plugins
 MAKE_ENV=	LANG=C
-NOPRECIOUSMAKEVARS=yes
 
 MAN5=		munin-node.conf.5
 MAN8=		munin-node-configure.8 munin-node.8 munin-run.8
 
-.if ${OSVERSION} < 500000
-PKGMSG=${FILESDIR}/pkg-message.4
-STARTSTOP_SRC=${FILESDIR}/munin-node.sh
-.else
-PKGMSG=${FILESDIR}/pkg-message
-STARTSTOP_SRC=${FILESDIR}/munin_node.sh
-.endif
-STARTSTOP_DST=${PREFIX}/etc/rc.d/munin-node.sh
+SUB_FILES=	pkg-message munin-node.sh munin-node-revive.sh
+SUB_LIST=	RC_SUBR=${RC_SUBR}
+USE_RC_SUBR=	YES
 
 pre-install:
-	@${SED} 's@%%PREFIX%%@${PREFIX}@g' ${PKGMSG} > ${PKGMESSAGE}
 	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
 
 post-install:
-	@${SED} 's@%PREFIX%@${PREFIX}@g' ${STARTSTOP_SRC} > ${STARTSTOP_DST}
-	@${CHMOD} +x ${STARTSTOP_DST}
+	${INSTALL_SCRIPT} ${WRKDIR}/munin-node.sh ${PREFIX}/etc/rc.d/munin-node.sh
+.if ${PERL_LEVEL} < 500800
+	${INSTALL_SCRIPT} ${WRKDIR}/munin-node-revive.sh ${PREFIX}/bin/munin-node-revive
+.endif
 	${INSTALL_DATA} ${WRKSRC}/build/node/munin-node.conf ${PREFIX}/etc/munin/munin-node.conf.sample
-	${INSTALL_DATA} ${WRKSRC}/plugins.conf ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample
+	${INSTALL_DATA} files/plugins.conf ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample
 	@if [ ! -f ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf ]; then \
-		${INSTALL_DATA} ${WRKSRC}/plugins.conf ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf; \
+		${INSTALL_DATA} ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf; \
 	fi
 	@${CAT} ${PKGMESSAGE}
 	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node.conf.5 ${PREFIX}/man/man5
Lupe Christoph
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| Ask not what your computer can do for you                              |
| ask what you can do for your computer.                                 |
Comment 5 Sergey Matveychuk freebsd_committer 2005-03-04 17:47:47 UTC
State Changed
From-To: open->closed

Committed, thanks!